ggobi (2.1.11-2build2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 04:30:15 +0000

ggobi (2.1.11-2build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:25:06 +0000

ggobi (2.1.11-2) unstable; urgency=low

  * debian/patches/barchart-definition.patch: Apply patch to
    src/barchart.c to make declaration and definition match
							(Closes: #781724)

  * debian/control: Set Standards-Version: to current version 
  
 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 11 Apr 2015 07:01:30 -0500

ggobi (2.1.11-1) unstable; urgency=low

  * New upstream release
  
  * Upstream release 'tickled' by Graphviz issue in #754950 so thanks 
    to everybody in the Graphviz transition for keeping this moving

  * debian/patches/series: Deactivate old patch from 2.1.10-4

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 19 Jul 2014 11:52:47 -0500

ggobi (2.1.10-5.1) unstable; urgency=medium

   * Non-maintainer upload.
   * Drop graphviz build-dependency for now as ggobi won't build with
     graphviz 2.30. Closes: #754950.
  
 -- Matthias Klose <doko@debian.org>  Sat, 19 Jul 2014 13:03:41 +0000

ggobi (2.1.10-5) unstable; urgency=low

  * debian/rules: Call dh_autoreconf / dh_autoreconf_clean to get updated
    autotools files to enable builds on powerpc64le	(Closes: #744580)
  * debian/control: Add Build-Depends: on dh-autoreconf

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 13 Apr 2014 16:37:15 -0500

ggobi (2.1.10-4) unstable; urgency=low

  * src/ggobi.c: Applied patch kindly supplied by Michael Lawrence to 
    address issues found under hardened compiler flags (Closes: #646260)

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 10 Nov 2011 11:22:03 -0600

ggobi (2.1.10-3) unstable; urgency=low

  * debian/control: Switch Build-Depends: to unversioned libjpeg-dev to
    help with the libjpeg62 to libjpeg8 transition	(Closes: #641695)

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 15 Sep 2011 07:37:55 -0500

ggobi (2.1.10-2) unstable; urgency=low

  * debian/rules: Add short find and perl snippet to process .la files 
    in order to empty dependency_libs 			(Closes: #621301)

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 08 May 2011 17:27:53 -0500

ggobi (2.1.10-1) unstable; urgency=low

  * New upstream release	 			(Closes: #622039)
  
  * debian/patches/00list: Removed 02_manual.patch; manual shipped as pdf
  * debian/patches/00list: Removed 03_makefile.patch; no libltdl left

  * debian/control: Set Standards-Version: to current version 
  
  * debian/source/format: Added with 'quilt (3.0)' to use upstream bz2 
  * debian/rules: Removed 'include /usr/share/dpatch/dpatch.make', removed
    targets 'unclean' and 'patch-stamp'
  * debian/control: Removed 'dpatch' from Build-Depends

  * debian/control: Removed 'texlive-base, texlive-latex-base,
    texlive-generic-recommended, texlive-fonts-recommended,
    texlive-extra-utils, texlive-latex-recommended, texlive-latex-extra,
    texlive-pstricks' from Build-Depends as source no longer has tex
  
  * debian/control: Removed 'autoconf, gettext, cvs, automake, gob2,
    autopoint' from Build-Depends as we use a tarball to build
  
 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 13 Apr 2011 07:03:18 -0500

ggobi (2.1.9~20091212-3) unstable; urgency=low

  * debian/patches/00list: Remove 01_graphviz.patch as a newer
    graphviz is now available in Debian
  * debian/control: Increase versioned Build-Depends: on graphviz
  * debian/control: Added Build-Depends: autopoint	(Closes: #572469)

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 10 Mar 2010 09:16:43 -0600

ggobi (2.1.9~20091212-2) unstable; urgency=low

  * debian/rules: Do not remove .la files for plugins as this stops
    the plugins from working (reported by Liviu Andronic)
  * debian/ggobi.lintian-overrides: Add exemptions for .la files

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 23 Jan 2010 08:03:45 -0600

ggobi (2.1.9~20091212-1) unstable; urgency=low

  * New upstream pre-release built with new libltdl from libtool 2.2.6b 
    in regards to CVE-2009-3736[0] 			(Closes: #559806)

  * debian/patches:
    - 01_graphviz.patch: two lines carried over from previous ggobi
      and needed as Debian's graphviz seems to be too old
    - 02_manual.patch: switch to using includegraphics in latex
  
  * debian/control: Added latex toolchain to Build-Depends: to support
    upstream change of building manual			(Closes: #495390)
  
  * debian/control: Added Build-Depends on libltdl-dev (>= 2.2.6b)
  * debian/rules: Add --without-included-ltdl to configure call

  * debian/control: Added Build-Depends: on libtool (>= 2.2.6b), autoconf
    gettext, cvs, automake, gob2 in order to run './bootstrap' as this is
    straight from SVN
  * debian/rules: Added ./bootstrap call
  						 	
  * debian/control: Increased Standard-Version: to 3.8.3 

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 10 Dec 2009 22:53:59 -0600

ggobi (2.1.8-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 15 Aug 2008 16:20:11 -0500

ggobi (2.1.7-1) unstable; urgency=low

  * New upstream release
  * debian/control: Updated Standards-Version: to current value
  * debian/watch: Added with thanks to Charles Plessy (Closes: #487608)

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 22 Jun 2008 20:20:06 -0500

ggobi (2.1.6-2) unstable; urgency=low

  * debian/control: Updated Build-Depends: to libgraphviz-dev (>= 2.16-3)
  * debian/control: Updated Standards-Version: to current value
  * debian/copyright: Converted encoding via iconv [ lintian ]
  
  * Apply http://patches.ubuntu.com/g/ggobi/ggobi_2.1.6-1ubuntu1.patch:
    - debian/ggobi.xpm: new files, converted from upstream's png file
    - debian/rules: Install the new xpm file as well as xdg/ggobi.desktop
    							(Closes: #451127)
  
    While we are at this, it would be helpful if the Ubuntu folks could
    let me know when they patch one of the 100+ source packages I maintain.
    It's not that my email address is hidden away somewhere.

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 15 Jan 2008 10:45:37 -0600

ggobi (2.1.6-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 21 Aug 2007 21:30:08 -0500

ggobi (2.1.5-2) unstable; urgency=low

  * Rebuilt under new graphviz 2.12			(Closes: #421093)
  * debian/control: Updated Build-Depends: accordingly

 -- Dirk Eddelbuettel <edd@debian.org>  Mon,  7 May 2007 18:14:17 -0500

ggobi (2.1.5-1) unstable; urgency=low

  * New upstream release
  * Contains bug fix for data import error		(Closes: #401224)
  * debian/shlibs: Updated accordingly for 2.1.5

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 26 Apr 2007 21:21:29 -0500

ggobi (2.1.4-2) unstable; urgency=low

  * debian/rules: Correct plugins softlink

 -- Dirk Eddelbuettel <edd@debian.org>  Sat,  2 Dec 2006 22:04:25 -0600

ggobi (2.1.4-1) unstable; urgency=low

  * New upstream release
  
  * debian/shlibs: Updated accordingly

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 23 Oct 2006 11:22:46 -0500

ggobi (2.1.3-1) unstable; urgency=low

  * New upstream release
  
  * debian/shlibs: Created a new shlibs file
  * debian/control: Updated Standards-Version: to 3.7.2

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 29 Aug 2006 20:37:12 -0500

ggobi (2.1.2-1) unstable; urgency=low

  * Upgraded to first official upstream release of Ggobi2
  * debian/control: Updated Description
  * debian/control: Build-Depends upgraded to libgtk2.0-dev
  * debian/control: Added graphviz-dev (>= 2.8) to Build-Depends
  * debian/control: Added graphviz-dev (>= 2.8) to Depends
  * debian/rules: Move plugins/ from /usr/share/ggobi to /usr/lib/ggobi

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 27 Mar 2006 17:44:11 -0600

ggobi (0.99.99.6-2) unstable; urgency=low

  * debian/control: Reomved xlibs-dev from Build-Depends: 
  * debian/control: Upgraded Standards-Version: to 3.6.2

 -- Dirk Eddelbuettel <edd@debian.org>  Sun,  8 Jan 2006 19:53:35 -0600

ggobi (0.99.99.6-1) unstable; urgency=low

  * New upstream version 1.0-6-beta released today
  * Upstream version 1.0-6-beta renamed 0.99.99.6 to permit a 1.0.0 package

 -- Dirk Eddelbuettel <edd@debian.org>  Mon,  6 Jun 2005 20:43:53 -0500

ggobi (0.99.99.5-2) unstable; urgency=low

  * debian/copyright: Updated, and included Common Public License
    to complete the transition from non-free/math to math in main.

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 21 May 2005 08:17:02 -0500

ggobi (0.99.99.5-1) unstable; urgency=low

  * New upstream version 1.0-5-beta released today
  * Upstream version 1.0-5-beta renamed 0.99.99.5 to permit a 1.0.0 package
  
  * This release marks the first release under the Common Public License,
    i.e. like its sibbling graphviz, this program has finally been released
    by AT&T/Bell Labs under a license suitable for Debian's main archive! 

  * debian/control: Changed section from non-free/math to math
  
  * debian/rules: More standard configure and make with improved autoconf
  * debian/rules: Configure without plugins as plugin build system broken
  
  * debian/ggobi: Actually export the environment variables set there
  
 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 18 May 2005 22:23:11 -0500

ggobi (0.99.99.4-1) unstable; urgency=low

  * New upstream release
  * Upstream version 1.0-4-beta renamed 0.99.99.4 to permit a 1.0.0 package
  * As before, upstream configure files and built system are somewhat broken 
    with respect to the plugin architecture -- we have been unable to build 
    this for the last few beta releases. Consquently, plugins are still
    disabled by brute force via a patch to configure.in.

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 28 Jan 2005 22:17:19 -0600

ggobi (0.99.99-1) unstable; urgency=low

  * New upstream release 
  * Upstream version 1.0-1-beta renamed 0.99.99 to permit a 1.0.0 package
  * Upstream configure files and built system are somewhat broken with 
    respect to the plugin architecture -- we have been unable to build this
    for the last few beta releases. Consquently, plugins for 
    - Postgres
    - Dataviewer
    - Fileselector
    - Ggvis
    have been disabled by brute force via a patch to configure.in.
  * Consequently, removed the enties for libmysqlclient-dev, python-dev, 
    postgresql-dev from Build-Depends 
  * debian/control: Standards-Version increased to 3.6.1.1

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 25 Nov 2004 21:27:38 -0600

ggobi (0.99.10-1) unstable; urgency=low

  * New upstream release
  * debian/control: Standards-Version increased to 3.5.9
  * debian/ggobi.1, debian/ggobi-config.1: Added manual pages

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 12 Apr 2003 22:13:00 -0500

ggobi (0.99.8-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 19 Jan 2003 22:10:39 -0600

ggobi (0.99.5-1) unstable; urgency=low

  * Initial Debian Release 
  * As Ggobi is released under the AT&T Open Source License -- which
    Debian considers non-DFSG compliant, see the graphviz discussions
    on debian-legal -- this software will have to reside in non-free
  * N.B. ggobi is a Gtk-based replacement of xgobi in non-free

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 29 Oct 2002 20:46:17 -0600


